typedef struct {
    char* keyname;
    unsigned int modstat;
} gdk_mod_key;

static const gdk_mod_key gdk_mod_keys[] = {
    { "None", 0 },
    { "Shift", 1 << 0 },
    { "CapsLock", 1 << 1 },
    { "Ctrl", 1 << 2 },
    { "Alt", 1 << 3 },
    { "Alt_Shift", 1<<3 | 1<<0 },
    { "Ctrl_Shift", 1<<2 | 1<<0 },
    { "Ctrl_Alt", 1<<2 | 1<<3 },
    { "Ctrl_Alt_Shift", 1<<0 | 1<<2 | 1<<3 },
    { "NumLock", 1 << 4 },
    { "Super", 1 << 6 },
    { "ScrollLock", 1 << 7 },
    { "MousePressed", 1 << 8 },
    { "HandledMask", 1 << 24 },
    { "IgnoredMask", 1 << 25 },
    { "Super2", 1 << 26 },
    { "Hyper", 1 << 27 },
    { "Meta", 1 << 28 },
    { "UsedMask", 0x5c001fff },
    { "SimpleMask", 1<<0 | 1<<2 | 1<<3 | 1<<6 | 1<<26 | 1<<27 | 1<<28 }
};
